/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// BottleRockets.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "BottleRockets.h"

#include "MainDlg.h"
#include "RocketSpecsPage.h"
#include "EnvironmentSpecsPage.h"
#include "LaunchSpecsPage.h"
#include "SimulationSettingsPage.h"
#include "SimulatePage.h"
#include "AboutPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBottleRocketsApp

BEGIN_MESSAGE_MAP(CBottleRocketsApp, CWinApp)
	//{{AFX_MSG_MAP(CBottleRocketsApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBottleRocketsApp construction

CBottleRocketsApp::CBottleRocketsApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CBottleRocketsApp object

CBottleRocketsApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CBottleRocketsApp initialization

BOOL CBottleRocketsApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CMainDlg dlg("Bottle Rocket Simulator", NULL, 0);
	pRocketSpecsPage = new CRocketSpecsPage;
	pEnvironmentSpecsPage = new CEnvironmentSpecsPage;
	pLaunchSpecsPage = new CLaunchSpecsPage;
	pSimulationSettingsPage = new CSimulationSettingsPage;
	pSimulatePage = new CSimulatePage;
	pAboutPage = new CAboutPage;
	dlg.AddPage(pRocketSpecsPage);
	dlg.AddPage(pEnvironmentSpecsPage);
	dlg.AddPage(pLaunchSpecsPage);
	dlg.AddPage(pSimulationSettingsPage);
	dlg.AddPage(pSimulatePage);
	dlg.AddPage(pAboutPage);

	m_pMainWnd = &dlg;
	dlg.DoModal();

	delete pRocketSpecsPage;
	delete pEnvironmentSpecsPage;
	delete pLaunchSpecsPage;
	delete pSimulationSettingsPage;
	delete pSimulatePage;
	delete pAboutPage;
	
	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
