/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// EnvironmentSpecsPage.cpp : implementation file
//

#include "stdafx.h"
#include "BottleRockets.h"
#include "EnvironmentSpecsPage.h"

#include "Units.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEnvironmentSpecsPage property page

IMPLEMENT_DYNCREATE(CEnvironmentSpecsPage, CPropertyPage)

CEnvironmentSpecsPage::CEnvironmentSpecsPage() : CPropertyPage(CEnvironmentSpecsPage::IDD)
{
	//{{AFX_DATA_INIT(CEnvironmentSpecsPage)
	m_dAtmPressure = 0.0;
	m_dAtmTemperature = 0.0;
	m_csDescription = _T("");
	m_dLRDiameter = 0.0;
	m_dLRHeight = 0.0;
	m_dGravity = 0.0;
	m_dUpdraft = 0.0;
	//}}AFX_DATA_INIT
}

CEnvironmentSpecsPage::~CEnvironmentSpecsPage()
{
}

void CEnvironmentSpecsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEnvironmentSpecsPage)
	DDX_Control(pDX, IDC_ENV_UPDRAFT_UNITS, m_UpdraftUnits);
	DDX_Control(pDX, IDC_ENV_GRAVITY_UNITS, m_GravityUnits);
	DDX_Control(pDX, IDC_ENV_LRHEIGHT_UNITS, m_LRHeightUnits);
	DDX_Control(pDX, IDC_ENV_LRDIAMETER_UNITS, m_LRDiameterUnits);
	DDX_Control(pDX, IDC_ENV_ATMTEMPERATURE_UNITS, m_AtmTemperatureUnits);
	DDX_Control(pDX, IDC_ENV_ATMPRESSURE_UNITS, m_AtmPressureUnits);
	DDX_Text(pDX, IDC_ENV_ATMPRESSURE, m_dAtmPressure);
	DDX_Text(pDX, IDC_ENV_ATMTEMPERATURE, m_dAtmTemperature);
	DDX_Text(pDX, IDC_ENV_DESCRIPTION, m_csDescription);
	DDX_Text(pDX, IDC_ENV_LRDIAMETER, m_dLRDiameter);
	DDX_Text(pDX, IDC_ENV_LRHEIGHT, m_dLRHeight);
	DDX_Text(pDX, IDC_ENV_GRAVITY, m_dGravity);
	DDX_Text(pDX, IDC_ENV_UPDRAFT, m_dUpdraft);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEnvironmentSpecsPage, CPropertyPage)
	//{{AFX_MSG_MAP(CEnvironmentSpecsPage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEnvironmentSpecsPage message handlers

BOOL CEnvironmentSpecsPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	m_dAtmPressure = 1.0;
	FillP(&m_AtmPressureUnits);
	m_AtmPressureUnits.SetCurSel(P_atm);

	m_dAtmTemperature = 70.0;
	FillT(&m_AtmTemperatureUnits);
	m_AtmTemperatureUnits.SetCurSel(T_degf);

	m_dLRDiameter = 22.0;
	FillSL(&m_LRDiameterUnits);
	m_LRDiameterUnits.SetCurSel(SL_mm);

	m_dLRHeight = 15.0;
	FillSL(&m_LRHeightUnits);
	m_LRHeightUnits.SetCurSel(SL_mm);
	
	m_dGravity = -9.806;
	FillA(&m_GravityUnits);
	m_GravityUnits.SetCurSel(A_mps2);

	m_dUpdraft = 0.0;
	FillV(&m_UpdraftUnits);
	m_UpdraftUnits.SetCurSel(V_mph);

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
