/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// Graph.h

#if !defined(__GRAPH_H)
#define __GRAPH_H

#pragma once

const data_points	= 0;
const data_minmax	= 1;
const data_2var		= 2;

class CGraph
{
public:
	CGraph();
	virtual ~CGraph();

	void SetXAxis(double dMin, double dMax, int nTicks);
	void SetYAxis(double dMin, double dMax, int nTicks);

	void CalcXAxis(double dMin, double dMax);
	void CalcYAxis(double dMin, double dMax);

	void SetLabelX(CString str);
	void SetLabelY(CString str);

	void Paint(CDC *pDC);

	void SetDataPoints(double dX[], double dY[], int nCount);
	void SetDataMinMax(double dMin[], double dMax[], double dTime[],
		int nCount);
	void SetData2Var(double dX[], double dY[], double dVal[], int nCount);

protected:
	int DataToLogicalX(double dX, int nLeft, int nRight);
	int DataToLogicalY(double dY, int nTop, int nBottom);

	void PaintData2Var(CDC *pDC, int nLeft, int nRight, int nTop,
		int nBottom);
	int GetArrayIndex(int x, int y, int dim);

	double m_dMinX, m_dMaxX, m_dMinY, m_dMaxY;
	int m_nTicksX, m_nTicksY;
	double *m_pData1, *m_pData2, *m_pData3;
	int m_nCount;
	int m_nDataType;

	CString m_LabelX, m_LabelY;
};

#endif // __GRAPH_H

