/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// LaunchSpecsPage.cpp : implementation file
//

#include "stdafx.h"
#include "BottleRockets.h"
#include "LaunchSpecsPage.h"

#include "Units.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLaunchSpecsPage property page

IMPLEMENT_DYNCREATE(CLaunchSpecsPage, CPropertyPage)

CLaunchSpecsPage::CLaunchSpecsPage() : CPropertyPage(CLaunchSpecsPage::IDD)
{
	//{{AFX_DATA_INIT(CLaunchSpecsPage)
	m_dAirTemperature = 0.0;
	m_dHeight = 0.0;
	m_dInitialPressure = 0.0;
	m_dVelocity = 0.0;
	m_dWaterVolume = 0.0;
	m_dWaterDensity = 0.0;
	//}}AFX_DATA_INIT
}

CLaunchSpecsPage::~CLaunchSpecsPage()
{
}

void CLaunchSpecsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLaunchSpecsPage)
	DDX_Control(pDX, IDC_LAUNCH_WATERDENSITY_UNITS, m_WaterDensityUnits);
	DDX_Control(pDX, IDC_LAUNCH_HEIGHT_UNITS, m_HeightUnits);
	DDX_Control(pDX, IDC_LAUNCH_WATERVOLUME_UNITS, m_WaterVolumeUnits);
	DDX_Control(pDX, IDC_LAUNCH_VELOCITY_UNITS, m_VelocityUnits);
	DDX_Control(pDX, IDC_LAUNCH_INITIALPRESSURE_UNITS, m_InitialPressureUnits);
	DDX_Control(pDX, IDC_LAUNCH_AIRTEMPERATURE_UNITS, m_AirTemperatureUnits);
	DDX_Text(pDX, IDC_LAUNCH_AIRTEMPERATURE, m_dAirTemperature);
	DDX_Text(pDX, IDC_LAUNCH_HEIGHT, m_dHeight);
	DDX_Text(pDX, IDC_LAUNCH_INITIALPRESSURE, m_dInitialPressure);
	DDX_Text(pDX, IDC_LAUNCH_VELOCITY, m_dVelocity);
	DDX_Text(pDX, IDC_LAUNCH_WATERVOLUME, m_dWaterVolume);
	DDX_Text(pDX, IDC_LAUNCH_WATERDENSITY, m_dWaterDensity);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLaunchSpecsPage, CPropertyPage)
	//{{AFX_MSG_MAP(CLaunchSpecsPage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLaunchSpecsPage message handlers

BOOL CLaunchSpecsPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	m_dAirTemperature = 60.0;
	FillT(&m_AirTemperatureUnits);
	m_AirTemperatureUnits.SetCurSel(T_degf);

	m_dHeight = 0.0;
	FillLL(&m_HeightUnits);
	m_HeightUnits.SetCurSel(LL_m);

	m_dInitialPressure = 60.0;
	FillP(&m_InitialPressureUnits);
	m_InitialPressureUnits.SetCurSel(P_psi);

	m_dVelocity = 0.0;
	FillV(&m_VelocityUnits);
	m_VelocityUnits.SetCurSel(V_mps);

	m_dWaterVolume = 40.0;
	FillVM(&m_WaterVolumeUnits);
	m_WaterVolumeUnits.AddString("%");
	m_WaterVolumeUnits.SetCurSel(VM_count);
	
	m_dWaterDensity = 1000.0;
	FillD(&m_WaterDensityUnits);
	m_WaterDensityUnits.SetCurSel(D_kgpm3);

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
