/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// Simulate.h

#if !defined(__SIMULATE_H)
#define __SIMULATE_H

#pragma once

#include "State.h"
#include "Forces.h"
#include "BottleRockets.h"

const int _max					= 0x4000;
const int _forces				= 7;
const int _testsperaxis			= 11;

const int force_archimedes		= 0;
const int force_launchrod		= 1;
const int force_atmpressure		= 2;
const int force_windresistance	= 3;
const int force_gravitation		= 4;
const int force_water			= 5;
const int force_parachute		= 6;


class CForces
{
public:
	CForces(CState *pState);
	virtual ~CForces();

	double SimulateForces(double dt);

	double m_dForce[_forces];
protected:
	CForce *m_pForce[_forces];
	CState *m_pState;
};


void CreateStateObject(CState *pState, CBottleRocketsApp *pApp);

int Simulate(double *dX, double *dY, double *dZ, int *nType, BOOL *bGraph,
			 CBottleRocketsApp *pApp);

double ConvUnits(double dValue, int nVariable, int nSrcUnits,
				 CState *pState);

void SetVariableToState(double dValue, int nVariable, CState *pState);

void RecordVariable(double *dValue, int nVariable, int nVariableUnits,
					CState *pState, double dTime);


#endif // __SIMULATE_H
