/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIMULATIONSETTINGSPAGE_H__17CDD158_B640_11D3_863F_8461A3000000__INCLUDED_)
#define AFX_SIMULATIONSETTINGSPAGE_H__17CDD158_B640_11D3_863F_8461A3000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SimulationSettingsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSimulationSettingsPage dialog

class CSimulationSettingsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSimulationSettingsPage)

// Construction
public:
	CSimulationSettingsPage();
	~CSimulationSettingsPage();

// Dialog Data
	//{{AFX_DATA(CSimulationSettingsPage)
	enum { IDD = IDD_SIMULATIONSETTINGS_PAGE };
	CComboBox	m_LAPlotUnits;
	CComboBox	m_2VYAxisUnits;
	CComboBox	m_2VXAxisUnits;
	CComboBox	m_2VDependentUnits;
	CComboBox	m_1VIndependentUnits;
	CComboBox	m_1VDependentUnits;
	CComboBox	m_2VYAxis;
	CComboBox	m_2VXAxis;
	CComboBox	m_2VDependent;
	CComboBox	m_1VIndependent;
	CComboBox	m_1VDependent;
	CComboBox	m_LAPlot;
	CSliderCtrl	m_PrecisionSlider;
	int		m_nSimulationType;
	int		m_nLAResults;
	int		m_n2VResults;
	int		m_n1VResults;
	CString	m_PrecisionText;
	double	m_d1VIndependentMax;
	double	m_d1VIndependentMin;
	double	m_d2VXAxisMax;
	double	m_d2VXAxisMin;
	double	m_d2VYAxisMax;
	double	m_d2VYAxisMin;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSimulationSettingsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void UpdatePrecisionText();
	void UpdateDialogState();
	// Generated message map functions
	//{{AFX_MSG(CSimulationSettingsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnSimulationLaunch();
	afx_msg void OnSimulation1Variable();
	afx_msg void OnSimulation2Variable();
	afx_msg void OnSimulationLASummary();
	afx_msg void OnSimulationLAGraph();
	afx_msg void OnReleasedcaptureSimulationPrecisionSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSimulationPrecisionSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeSimulation1vDependent();
	afx_msg void OnSelchangeSimulation1vIndependent();
	afx_msg void OnSelchangeSimulation2vDependent();
	afx_msg void OnSelchangeSimulation2vXaxis();
	afx_msg void OnSelchangeSimulation2vYaxis();
	afx_msg void OnSelchangeSimulationLaPlot();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};


void EnableArray(int array[], int nElements, CWnd *pParent,
				 BOOL bEnable = TRUE);


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMULATIONSETTINGSPAGE_H__17CDD158_B640_11D3_863F_8461A3000000__INCLUDED_)
