/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// Units.h

#if !defined (__UNITS_H)
#define __UNITS_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// small length units
const int SL_cm			= 0;
const int SL_in			= 1;
const int SL_mm			= 2;
extern const char *SL_units[];
const int SL_count		= 3;
extern const double SL_conv[];
double ConvSL(double value, int inputunits, int outputunits);
void FillSL(CComboBox *pComboBox);

// large length units
const int LL_ft			= 0;
const int LL_m			= 1;
const int LL_yds		= 2;
extern const char *LL_units[];
const int LL_count		= 3;
extern const double LL_conv[];
double ConvLL(double value, int inputunits, int outputunits);
void FillLL(CComboBox *pComboBox);

// velocity units
const int V_fps			= 0;
const int V_fpm			= 1;
const int V_mps			= 2;
const int V_mph			= 3;
const int V_kmph		= 4;
extern const char *V_units[];
const int V_count		= 5;
extern const double V_conv[];
double ConvV(double value, int inputunits, int outputunits);
void FillV(CComboBox *pComboBox);

// acceleration units
const int A_fps2		= 0;
const int A_fpm2		= 1;
const int A_g			= 2;
const int A_mps2		= 3;
const int A_mph2		= 4;
const int A_kmph2		= 5;
extern const char *A_units[];
const int A_count		= 6;
extern const double A_conv[];
double ConvA(double value, int inputunits, int outputunits);
void FillA(CComboBox *pComboBox);

// temperature units
const int T_degc		= 0;
const int T_degf		= 1;
const int T_kelvin		= 2;
extern const char *T_units[];
const int T_count		= 3;
extern const double AbsZero;
double ConvT(double value, int inputunits, int outputunits);
void FillT(CComboBox *pComboBox);

// density units
const int D_gpcm3		= 0;
const int D_kgpl		= 1;
const int D_kgpm3		= 2;
const int D_lbspft3		= 3;
extern const char *D_units[];
const int D_count		= 4;
extern const double D_conv[];
double ConvD(double value, int inputunits, int outputunits);
void FillD(CComboBox *pComboBox);

// molar mass units
const int MM_gpmol		= 0;
const int MM_kgpmol		= 1;
const int MM_lbspmol	= 2;
extern const char *MM_units[];
const int MM_count		= 3;
extern const double MM_conv[];
double ConvMM(double value, int inputunits, int outputunits);
void FillMM(CComboBox *pComboBox);

// volume units
const int VM_gal		= 0;
const int VM_l			= 1;
const int VM_m3			= 2;
const int VM_ml			= 3;
const int VM_qt			= 4;
extern const char *VM_units[];
const int VM_count		= 5;
extern const double VM_conv[];
double ConvVM(double value, int inputunits, int outputunits);
void FillVM(CComboBox *pComboBox);

// mass units
const int M_g			= 0;
const int M_kg			= 1;
const int M_lbs			= 2;
const int M_oz			= 3;
extern const char *M_units[];
const int M_count		= 4;
extern const double M_conv[];
double ConvM(double value, int inputunits, int outputunits);
void FillM(CComboBox *pComboBox);

// pressure
const int P_atm			= 0;
const int P_inhg		= 1;
const int P_kpa			= 2;
const int P_pa			= 3;
const int P_psi			= 4;
const int P_torr		= 5;
extern const char *P_units[];
const int P_count		= 6;
extern const double P_conv[];
double ConvP(double value, int inputunits, int outputunits);
void FillP(CComboBox *pComboBox);

// surface area
const int SA_cm2	= 0;
const int SA_in2	= 1;
const int SA_ft2	= 2;
const int SA_m2		= 3;
const int SA_yds2	= 4;
extern const char *SA_units[];
const int SA_count	= 5;
extern const double SA_conv[];
double ConvSA(double value, int inputunits, int outputunits);
void FillSA(CComboBox *pComboBox);


#endif // __UNITS_H
