/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Columbus High School Bottle Rocket Simulator                           //
//  Copyright (C) 1999-2000 Leo C. Singleton IV                            //
//    Internet: http://www.leosolutions.com/                               //
//    E-Mail: leo@leosolutions.com                                         //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

// Variables.h

#if !defined(__VARIABLES_H)
#define __VARIABLES_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// variable types
const int VT_FV			= 0;	// flight variable
const int VT_DV			= 1;	// dependent variable
const int VT_IV			= 2;	// independent variable

// flight variables
const int FV_Accel		= 0;
const int FV_AirP		= 1;
const int FV_AirVol		= 2;
const int FV_Height		= 3;
const int FV_LRF		= 4;
const int FV_Mass		= 5;
const int FV_Thrust		= 6;
const int FV_Velocity	= 7;
const int FV_WL			= 8;
const int FV_WR			= 9;
extern const char *FV_names[];
extern const int FV_count;

// dependent variables
const int DV_ApogeeTime		= 0;
const int DV_BurnoutTime	= 1;
const int DV_ImpactVelocity	= 2;
const int DV_MaxAccel		= 3;
const int DV_MaxHeight		= 4;
const int DV_MaxVelocity	= 5;
const int DV_TimeAloft		= 6;
extern const char *DV_names[];
extern const int DV_count;

// independent variables
const int IV_AirT			= 0;
const int IV_AtmP			= 1;
const int IV_AtmT			= 2;
const int IV_BottleVol		= 3;
const int IV_Diameter		= 4;
const int IV_Cd				= 5;
const int IV_EmptyMass		= 6;
const int IV_Gravity		= 7;
const int IV_InitAirP		= 8;
const int IV_InitHeight		= 9;
const int IV_InitVelocity	= 10;
const int IV_InitWL			= 11;
const int IV_LRDiameter		= 12;
const int IV_LRHeight		= 13;
const int IV_ParDeployTime	= 14;
const int IV_ParDiameter	= 15;
const int IV_ParCd			= 16;
const int IV_ParNumber		= 17;
const int IV_ParSA			= 18;
const int IV_WaterD			= 19;
extern const char *IV_names[];
extern const int IV_count;


void FillComboBox(CComboBox *pComboBox, int nType);
void FillUnitsComboBox(CComboBox *pComboBox, int nVariable, int nType);


#endif // __VARIABLES_H
